org.apache.sysds.hops.recompile

## Class RecompileStatus

- java.lang.Object
- - org.apache.sysds.hops.recompile.RecompileStatus

-     public class RecompileStatus
      extends Object

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `RecompileStatus()`
    `RecompileStatus(boolean initialCodegen)`
    `RecompileStatus(long tid, boolean inplace, Recompiler.ResetType reset, boolean initialCodegen)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `Object` | `clone()`
    `Recompiler.ResetType` | `getReset()`
    `long` | `getTID()`
    `HashMap<String,DataCharacteristics>` | `getTWriteStats()`
    `boolean` | `hasThreadID()`
    `boolean` | `isInitialCodegen()`
    `boolean` | `isInPlace()`
    `boolean` | `isReset()`
    `boolean` | `requiresRecompile()`
    `void` | `trackRecompile(boolean flag)`

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### RecompileStatus

          public RecompileStatus()

    - #### RecompileStatus

          public RecompileStatus(boolean initialCodegen)

    - #### RecompileStatus

          public RecompileStatus(long tid,
                                 boolean inplace,
                                 Recompiler.ResetType reset,
                                 boolean initialCodegen)

  - ### Method Detail

    - #### getTWriteStats

          public HashMap<String,DataCharacteristics> getTWriteStats()

    - #### getTID

          public long getTID()

    - #### hasThreadID

          public boolean hasThreadID()

    - #### isInPlace

          public boolean isInPlace()

    - #### isReset

          public boolean isReset()

    - #### getReset

          public Recompiler.ResetType getReset()

    - #### isInitialCodegen

          public boolean isInitialCodegen()

    - #### trackRecompile

          public void trackRecompile(boolean flag)

    - #### requiresRecompile

          public boolean requiresRecompile()

    - #### clone

          public Object clone()

      Overrides:
        `clone` in class `Object`

Copyright © 2021 The Apache Software Foundation. All rights reserved.